
CoCoALib - Design #1147

mySquare and myPowerSmallExp

17 Jan 2018 11:08 - John Abbott

Status: New Start date: 17 Jan 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

Check the interrelation between RingBase::MySquare and RingBase::myPowerSmallExp.

In particular should mySquare actually be a private implementation detail?

Related issues:

Related to CoCoALib - Feature #1008: square function Closed 12 Feb 2017

History

#1 - 17 Jan 2018 11:56 - John Abbott

The advantage of having mySquare private is that we do not need to do arg checking, and there is (perhaps?) no need to call PowerOverflowCheck in

SparsePolyRing.

#2 - 17 Jan 2018 12:13 - John Abbott

- Related to Feature #1008: square function added

#3 - 25 Jun 2018 15:33 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#4 - 30 Apr 2019 17:18 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-1.0
